Subject: [Jcardcal] Date format

From: Evert Pot <[email-masked]>
Date: Mon, 3 Jun 2013 11:10:26 +0200

Hi guys,

Working on implementing the spec, and I hit a snag converting back and forward with dates.

In section 3.5.5 [1], the spec states:
Whenever the extended format is not applicable, the basic format MUST be used.

RFC6350 has the following example from a basic-format date:

1985-04.

My educated guess is, since the basic format does not use - for separators, that the intended value is year: 1985, day 4, no month. Is this correct?

It looks to me that there is no extended format applicable. I don't have access to ISO.8601.2004, so I may well be wrong.

So my problem is, that this string:

1985-04

Can be interpreted as a basic-format date (year - missing month - date), or an extended format date (year-month).

Am I correct that there's an ambiguity here, or am I mis-reading something, somewhere?

Evert

[1]: http://tools.ietf.org/html/draft-ietf-jcardcal-jcard-03#section-3.5.5
[2]: http://tools.ietf.org/html/rfc6350#section-4.3.1

---

From: Philipp Kewisch <[email-masked]>
Date: Mon, 03 Jun 2013 11:17:38 +0200

Hey Evert,

does this overview help you? 
http://www.ietf.org/mail-archive/web/jcardcal/current/msg00083.html

If there is no extended format, then the basic format is used. For your 
specific case, it means (quote iso 8601 2004):

4.1.2.3 Representations with reduced accuracy
...
a) A specific month Microsoft Word - C040874e.doc
   Basic format: YYYY-MM      Example: 1985-04
   Extended Format: not applicable

Philipp

On 6/3/13 11:10 AM, Evert Pot wrote:
> _______________________________________________
> jcardcal mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/jcardcal

---

From: Evert Pot <[email-masked]>
Date: Mon, 3 Jun 2013 11:20:49 +0200

On Jun 3, 2013, at 11:17 AM, Philipp Kewisch <[email-masked]> wrote:

> Hey Evert,
> 
> does this overview help you? http://www.ietf.org/mail-archive/web/jcardcal/current/msg00083.html
> 
> If there is no extended format, then the basic format is used. For your specific case, it means (quote iso 8601 2004):
> 
> a) A specific month 

That does help :)

So I guess the implication is, that a date without a month (but with year + date) is never possible.

Thanks!
Evert

---

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 03 Jun 2013 11:44:23 -0600

> So I guess the implication is, that a date without a month (but with year + date) is never possible.

Evert, do you think there is something missing from the spec here? If
so, we might need to capture some of what's in that email message as an
implementation note.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Evert Pot <[email-masked]>
Date: Thu, 6 Jun 2013 11:44:02 +0100

Hi Peter,

> so, we might need to capture some of what's in that email message as an

The main thing that was not clear for me, before reading the ISO.8601, was just this format:

YYYY-MM.

Because dashes are not used in any other "basic format" strings, I was under the false assumption that it should instead have been interpreted as:

YYYY-DD

I was also not immediately aware of the fact that dates and times can only be truncated or reduced, even though jCard and vCard do imply this strongly. Given every other example, I just thought the - implied a missing month.

So it may just have been my mistake :) Up to you if you feel it needs to be clarified further.

Evert